NNG_HTTP_REQ_DEL_HEADER(3http)

NAME
nng_http_req_del_header - delete HTTP request header

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_req_del_header(nng_http_req *req, const char *key);

DESCRIPTION

The nng_http_req_del_header() removes all HTTP headers with the associated key from the request structure req.

The value of key is case insensitive, and should not include the final colon in an HTTP header. For example, specifying Host or hOSt are equivalent, whereas the value Host: is not a legal header key.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOENT
    No header with the key key was present.

NNG_ENOTSUP
    No support for HTTP in the library.

SEE ALSO

nng_http_req_alloc(3http), nng_http_req_add_header(3http), nng_http_req_del_header(3http), nng_http_req_get_header(3http), nng(7)